# DetectFacesTaskBase | @vladmandic/face-api - v1.7.6
Documentation for @vladmandic/face-api - v1.7.6

# Class DetectFacesTaskBase<TReturn>

#### Type Parameters

- #### TReturn

#### Hierarchy

- ComposableTask <TReturn>
  - DetectFacesTaskBase
    - DetectAllFacesTask
    - DetectSingleFaceTask

- Defined in globalApi/DetectFacesTasks.ts:15

#####
Index

### Constructors

constructor

### Methods

run
then

## Constructors

### constructor

- new DetectFacesTaskBase<TReturn>(input: any, options?: FaceDetectionOptions ): DetectFacesTaskBase <TReturn>

- #### Type Parameters

  - #### TReturn

  #### Parameters

  - ##### input: any

  - ##### options: FaceDetectionOptions = ...

  #### Returns DetectFacesTaskBase <TReturn>

  Overrides ComposableTask.constructor

  - Defined in globalApi/DetectFacesTasks.ts:17

## Methods

### run

- run(): Promise<TReturn>

- #### Returns Promise<TReturn>

  Inherited from ComposableTask.run

  - Defined in globalApi/ComposableTask.ts:7

### then

- then(onfulfilled: ((value: TReturn) => TReturn | PromiseLike<TReturn>)): Promise<TReturn>

- #### Parameters

  - ##### onfulfilled: ((value: TReturn) => TReturn | PromiseLike<TReturn>)

    - - (value: TReturn): TReturn | PromiseLike<TReturn>

      - #### Parameters

        - ##### value: TReturn

        #### Returns TReturn | PromiseLike<TReturn>

  #### Returns Promise<TReturn>

  Inherited from ComposableTask.then

  - Defined in globalApi/ComposableTask.ts:3